
ChiliProject - Feature # 725: Compatibility check for jQuery and Prototype availability

Status: Closed Priority: Normal
Author: Gregor Schmidt Category: User interface
Created: 2011-11-22 Assignee: Eric Davis
Updated: 2011-11-26 Due date:
Remote issue URL:
Affected version:
Description: Since it is likely, that with Chili 3, jQuery and jQueryUI will be added to ChiliProject, plugins, that already use 

jQuery, will need to make sure, that they do not accidentally add another version of jQuery to the page. 
Consequently a plugin needs to be able to check, if jQuery will already be on the page or not.

I therefore propose to add a method to the @ChiliProject::Compatibility@ class named @using_jquery@, 
that returns true for Chili 3.x and false for Chili 2.5. Additionally it would be useful to add something similar for 
Prototype.js support, since I guess, Prototype may vanish over time and might be removed at some point in 
the future.

If desired I am willing to open pull requests for the changes to stable and unstable.

Associated revisions
2011-11-25 08:18 pm - Gregor Schmidt 
[#725] Add compatibility check for jQuery availability

In the current master a.k.a. ChiliProject 2.x, there is
no jQuery loaded by core.

2011-11-25 08:19 pm - Gregor Schmidt 
[#725] Add compatibility check for jQuery availability

In the current master a.k.a. ChiliProject 2.x, there is
no jQuery loaded by core.

2011-11-25 08:24 pm - Gregor Schmidt 
[#725] Chili-core now loads jQuery by default

This was added to unstable with ab2856b53 and will be released with Chili 3.0

2011-11-25 09:50 pm - Eric Davis
Merge pull request #133 from schmidt/pulls/725/master

[#725] Compatibility check for jQuery availability (master)

2011-11-25 09:50 pm - Eric Davis
Merge pull request #134 from schmidt/pulls/725/unstable

[#725] Compatibility check for jQuery availability (unstable)

History
2011-11-22 07:36 am - Gregor Schmidt
OT: Sorry for adding so many commas to my texts. 

2011-11-25 10:01 am - Eric Davis
Gregor Schmidt wrote:
> I therefore propose to add a method to the @ChiliProject::Compatibility@ class named @using_jquery@, that returns true for Chili 3.x and false for 
Chili 2.5.

Sounds good, though I think something like @ChiliProject::Compatibility.jquery?@ would be a better name.

(Plugins will still have to check @respond_to?@ for awhile though, previous versions won't have that compatibility method.)

> Additionally it would be useful to add something similar for Prototype.js support, since I guess, Prototype may vanish over time and might be removed 
at some point in the future.

Let's wait on that. With all the existing Ajax and RJS code I don't think we'll stop including it anytime soon. 

> If desired I am willing to open pull requests for the changes to stable and unstable.

Thank you, that would be great.

2011-11-25 08:13 pm - Gregor Schmidt
- Status changed from Open to Ready for review

The pull requests may be found at

* https://github.com/chiliproject/chiliproject/pull/133 for master
* https://github.com/chiliproject/chiliproject/pull/134 for unstable

I have named the method @using_jquery?@ to match it to @using_acts_as_journalized?@. I have cherry-picked the change to master into the 
unstable pull request. I hope this eases the merge of master into unstable, if both pull requests are applied at the same time.

If I can do anything else, just drop me a note.

2011-11-25 08:51 pm - Eric Davis
- Target version set to 2.5.0

- Assignee set to Eric Davis

- Status changed from Ready for review to Closed

Gregor Schmidt wrote:
> I have named the method @using_jquery?@ to match it to @using_acts_as_journalized?@.

Ah, you're right. Better to use consistent method names.

Merged into master and unstable on Github.

2011-11-26 08:45 am - Gregor Schmidt
Thanks for the quick merge. I guess, I'll start using it on Monday already.
